#
# spec file for package rrdtool (Version 1.0.45)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  perl tcl tcl-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm tcl tcl-devel

Name:         rrdtool
License:      GPL
Group:        Productivity/Scientific/Math
Autoreqprov:  on
Requires:     perl = %{perl_version}
Version:      1.0.45
Release:      89
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.diff
Patch1:       libpng-1.0.9.diff
URL:          http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      A tool for data logging and analysis

%description
A tool to log and analyze data gathered from all kinds of data sources.
The data analysis part of RRDtool is based on the ability to quickly
generate graphical representations of the data values collected over a
definable time period.



Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>

%prep
%setup 
%patch
%patch1

%build
%{suse_update_config -f config/}
%define prefix   /usr
%define sysconfdir /etc
rm -f config/aclocal.m4
#autoreconf --force --install
libtoolize --force
aclocal
autoconf
autoheader -I config
automake -a
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
	./configure 	--mandir=%{_mandir} \
			--prefix=%{prefix} \
			--libdir=%{prefix}/%_lib \
			--infodir=%{_infodir} \
			--sysconfdir=%{sysconfdir} \
			--enable-shared \
			--with-gnu-ld \
			--with-tcllib=/usr/%_lib
make site-perl-install

%install
rm -rf $RPM_BUILD_ROOT
eval `perl -V:installarchlib`
make DESTDIR=$RPM_BUILD_ROOT/ docdir=%{_docdir} install
make DESTDIR=$RPM_BUILD_ROOT/ site-tcl-install
make DESTDIR=$RPM_BUILD_ROOT/ vendor-perl-install
install -m 644 CHANGES CONTRIBUTORS COPYING COPYRIGHT NT-BUILD-TIPS.txt README TODO $RPM_BUILD_ROOT/%{_docdir}/rrdtool
%perl_process_packlist

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %{_docdir}/rrdtool
%doc %{_mandir}/*/*
/usr/bin/*
/usr/include/*
/usr/%_lib/lib*
/usr/%_lib/tcl*
%{perl_vendorlib}/RRDp.pm
%{perl_vendorarch}/RRDs.pm
%{perl_vendorarch}/ntmake.pl
%{perl_vendorarch}/auto/*
/var/adm/perl-modules/rrdtool

%changelog -n rrdtool
* Thu Jul 29 2004 - tcrhak@suse.cz
- added libpng-1.0.9.diff fixing security holes in libpng (bug #43008)
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - tcrhak@suse.cz
- removed %%{vendor_perl}/auto from filelist
* Mon Jul 28 2003 - tcrhak@suse.cz
- update to version 1.0.45
- fixed file list
- require perl
* Mon Jul 28 2003 - ro@suse.de
- install perl files to vendor location
* Fri May 23 2003 - ro@suse.de
- fix build with current libtool
* Sun Jan 12 2003 - tcrhak@suse.cz
- update to 1.0.40
* Tue Nov 19 2002 - ro@suse.de
- run full autoreconf and extend configure.in for that
* Fri Aug 09 2002 - mls@suse.de
- use sitearch macro
* Tue Jul 09 2002 - tcrhak@suse.cz
- update to version 1.0.39
* Mon Jun 03 2002 - ro@suse.de
- fix build on lib64 platforms
* Mon May 06 2002 - tcrhak@suse.cz
- omitted prefix i386-suse-linux from names of binaries
  and example scripts (bug #16105)
* Fri Feb 08 2002 - draht@suse.de
- added rrdtool-1.0.33-zlib-zfree.dif against duplicate free() in
  zlib
* Thu Jun 14 2001 - adostal@suse.cz
- fix for new autoconf (add libtoolize --force)
* Wed Apr 11 2001 - cihlar@suse.cz
- updated to version 1.0.33
* Mon Mar 19 2001 - cihlar@suse.cz
- fixed call of suse_update_config
* Fri Jan 26 2001 - cihlar@suse.cz
- package created
